-- Stored procedure
-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: 18 febbraio 2009
-- Description:	
-- =============================================
-- [C6MartPeriodico].[PL_S88PatrimonioNonConsideratoNelCalcoloDelRendimento] 'F','BLNMTN60L53L736R'
CREATE   procedure [C6MartPeriodico].[PL_S88PatrimonioNonConsideratoNelCalcoloDelRendimento] --'F','BLDRLF57A17F632H'
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	SELECT distinct
		PATR_BF.ID_AREA AS Need_Area,
		PATR_BF.ID_CONTRATTO AS Contratto,
		CASE
			WHEN PATR_BF.ID_AREA IN ('Ris', 'Ext', 'Liq') THEN AREA.NOME_AREA
			ELSE ltrim(rtrim(PATR_BF.NOME_PROGETTO))
		END AS Area_O_Nome_Progetto,
		--PRODOTTI.DESCR_PRODOTTO AS Descrizione,
		CASE WHEN PATR_BF.TIPO_PRODOTTO <> 'CC' THEN PRODOTTI.DESCR_PRODOTTO
			 ELSE PRODOTTI.DESCR_PRODOTTO+' '+SUBSTRING(COD_CC,4,2) + '/' + SUBSTRING(COD_CC,6,LEN(ANAG_CC.COD_CC))
		END AS Descrizione,
		PATR_BF.PARTVIA_DISINV AS PartitaViaggiante,
		SUM(PATR_BF.CTV) OVER (PARTITION BY PATR_BF.POSITION_ID) AS Controvalore,
		dbo.ToShortDateString(PATR_BF.DATA_SOTTOSCRIZIONE) AS DataSottoscrizione,
		-- savingmap - Novembre 2019
	    PATR_BF.tipo_prodotto as Tipo_Prodotto ,
		apc.is_APC as isAPC
	FROM
		C6MartPeriodico.PATRIMONIO_BF AS PATR_BF
		INNER JOIN C6MartPeriodico.AREA_BISOGNO AS AREA ON
			PATR_BF.ID_AREA = AREA.ID_AREA
		INNER JOIN C6MartPeriodico.ANAG_PRODOTTI AS PRODOTTI ON
			PATR_BF.COD_PRODOTTO = PRODOTTI.COD_PRODOTTO
		--V La sezione deve uscire soltanto per aree monitorate
		INNER JOIN C6MartPeriodico.MONITORAGGIO_ATTUALE M ON
			PATR_BF.RETE = M.RETE AND PATR_BF.COD_FISCALE = M.COD_FISCALE
			AND(
				(PATR_BF.ID_AREA = M.ID_AREA  AND PATR_BF.ID_AREA <> 'INV')
				OR
				(PATR_BF.ID_AREA = 'INV' AND PATR_BF.ID_AREA = M.ID_AREA AND PATR_BF.ORDINAMENTO_PROGETTO = M.ORDINAMENTO_PROGETTO)
			)
		LEFT OUTER JOIN C6MartPeriodico.ANAG_CC	ON 
			ANAG_CC.COD_FISCALE = PATR_BF.COD_FISCALE
			AND ANAG_CC.RETE = PATR_BF.RETE
			AND cast(ANAG_CC.cod_cc as integer ) = substring(PATR_BF.position_id,72,9)
		left join C6MartPeriodico.WSEICC apc
on 
	apc.RETE=PATR_BF.RETE
	and	apc.cod_fiscale=patr_bf.cod_fiscale
	and PATR_BF.ID_CONTRATTO = --apc.CODCONFPR
	(case when PATR_BF.tipo_prodotto='CC' then apc.CODCONFC else apc.CODCONFPR end)
	WHERE
		PATR_BF.RETE = @Rete
		AND PATR_BF.COD_FISCALE = @CodiceFiscale
		AND PATR_BF.REND_NON_RAPPR = 1
	ORDER BY
		Area_O_Nome_Progetto
	-- select [Need_Area]
 --     ,[Contratto]
 --     ,[Area_O_Nome_Progetto]
 --     ,[Descrizione]
 --     ,[PartitaViaggiante]
 --     ,[Controvalore]
 --     ,[DataSottoscrizione]
 --     ,[Tipo_Prodotto]
	--from [C6StampeCentralizzate].[dbo].[pezzotto_2022]
	--WHERE
	--	RETE = @Rete
	--	AND COD_FISCALE = @CodiceFiscale
	--	--AND REND_NON_RAPPR = 1
	--ORDER BY
	--	Area_O_Nome_Progetto
END